# Class AnalyserMetaDataExtension

java.lang.Object
org.apache.sling.feature.analyser.extensions.AnalyserMetaDataExtension

public class AnalyserMetaDataExtension extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AnalyserMetaDataExtension.SystemBundle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_NAME`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(BundleDescriptor... bundleDescriptors)`
`static AnalyserMetaDataExtension`
`getAnalyserMetaDataExtension(org.apache.sling.feature.Extension ext)`
`static AnalyserMetaDataExtension`
`getAnalyserMetaDataExtension(org.apache.sling.feature.Feature feature)`
`Map<String,String>`
`getManifest(org.apache.sling.feature.ArtifactId artifactId)`
`AnalyserMetaDataExtension.SystemBundle`
`getSystemBundle()`
`static boolean`
`isAnalyserMetaDataExtension(org.apache.sling.feature.Extension ext)`
`boolean`
`reportError(org.apache.sling.feature.ArtifactId artifactId)`
`boolean`
`reportWarning(org.apache.sling.feature.ArtifactId artifactId)`
`void`
`setReportErrors(org.apache.sling.feature.ArtifactId id, boolean enabled)`
`void`
`setReportWarnings(org.apache.sling.feature.ArtifactId id, boolean enabled)`
`org.apache.sling.feature.Extension`
`toExtension(org.apache.sling.feature.Extension extension)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXTENSION_NAME

public static final String EXTENSION_NAME

See Also:
  - Constant Field Values

## Method Details

### getAnalyserMetaDataExtension

public static AnalyserMetaDataExtension getAnalyserMetaDataExtension(org.apache.sling.feature.Feature feature)

### getAnalyserMetaDataExtension

public static AnalyserMetaDataExtension getAnalyserMetaDataExtension(org.apache.sling.feature.Extension ext)

### isAnalyserMetaDataExtension

public static boolean isAnalyserMetaDataExtension(org.apache.sling.feature.Extension ext)

### getManifest

public Map<String,String> getManifest(org.apache.sling.feature.ArtifactId artifactId)

### getSystemBundle

public AnalyserMetaDataExtension.SystemBundle getSystemBundle()

### reportWarning

public boolean reportWarning(org.apache.sling.feature.ArtifactId artifactId)

### reportError

public boolean reportError(org.apache.sling.feature.ArtifactId artifactId)

### toExtension

public org.apache.sling.feature.Extension toExtension(org.apache.sling.feature.Extension extension)

### add

public void add(BundleDescriptor... bundleDescriptors)

### setReportWarnings

public void setReportWarnings(org.apache.sling.feature.ArtifactId id, boolean enabled)

### setReportErrors

public void setReportErrors(org.apache.sling.feature.ArtifactId id, boolean enabled)